//Lights for KoopaScooper's House.
//Yes, this is required.

datablock DecalData(flareBitmap)
{
   textureName = "./flareBitmap1";
}; 
datablock DecalData(flareBitmap2)
{
   textureName = "./flareBitmap2";
};  

datablock fxLightData(KoopBulbLight)
{
	uiName = "Koopa's Bulb Light";

	LightOn = true;
	radius = 5.5;
	brightness = 4.25;
	color = "1 1 0.8 1";

	flareOn = true;
	flarebitmap = "base/lighting/corona2";
	NearSize	= 2;
	FarSize = 1.5;
};
datablock fxLightData(RedChristmasLight : KoopBulbLight)
{
	uiName = "Red X-Mas Light";

	LightOn = true;
	radius = 1;
	brightness = 0.5;
	color = "1 0.05 0.05 1";

	flareOn = true;
	flarebitmap = "./flareBitmap1";
	NearSize	= 0.5;
	FarSize = 0.15;
};
datablock fxLightData(WhiteKoopBulbLight : KoopBulbLight)
{
	uiName = "White Bulb Light";

	color = "1 1 0.945 1";
};
datablock fxLightData(FireLight : RedChristmasLight)
{
	uiName = "Fireplace Light";

	color = "1 0.25 0 1";
	radius = 3;
	brightness = 1.5;

	flareOn = false;
};
datablock fxLightData(OrangeChristmasLight : RedChristmasLight)
{
	uiName = "Orange X-Mas Light";

	color = "1 0.5 0 1";
};
datablock fxLightData(GreenChristmasLight : RedChristmasLight)
{
	uiName = "Green X-Mas Light";

	color = "0.05 1 0.05 1";
};
datablock fxLightData(BlueChristmasLight : RedChristmasLight)
{
	uiName = "Blue X-Mas Light";

	color = "0.05 0.05 1 1";
};
datablock fxLightData(YellowChristmasLight : RedChristmasLight)
{
	uiName = "Yellow X-Mas Light";

	color = "1 1 0 1";
};
datablock fxLightData(RedDotLight : KoopBulbLight)
{
	uiName = "Red Dot Light";

	color = "1 0 0 1";
	radius = 0.05;
	brightness = 0.1;

	flarebitmap = "./flareBitmap2";
	NearSize	= 0.2;
	FarSize = 0.1;
};
datablock fxLightData(BlueDotLight : RedDotLight)
{
	uiName = "Blue Dot Light";

	color = "0 0 1 1";
};
datablock fxLightData(GreenDotLight : RedDotLight)
{
	uiName = "Green Dot Light";

	color = "0 1 0 1";
};
datablock fxLightData(YellowDotLight : RedDotLight)
{
	uiName = "Yellow Dot Light";

	color = "1 1 0 1";
};